Bug 185818 - show release notes button does not work when installing packages
show release notes button does not work when installing packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-18 14:05 EST by Noa Resare
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 14:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noa Resare 2006-03-18 14:05:16 EST
Description of problem:
When installing fc5 from iso images on hard disk, with swedish language settings
the button "release notes" does not produce any relase notes as in previous
releases.

Version-Release number of selected component (if applicable):
the installer from the pxeboot on FC-5-i386-disc1.iso with sha1sum
43546c0e0d1fc64b6b80fe1fa99fb6509af5c0a0

How reproducible:
have tried it once


Steps to Reproduce:
1. startup installer
2. choose swedish language
3. click through the installation process until the packag installation phase begins
4. click the "release notes" (in swedish that is, utgåvenoteringar)
  
Actual results:
no result

Expected results:
release notes window

Additional info:
Comment 1 Owen Taylor 2006-03-23 08:46:04 EST
I saw this as well when doing an upgrade from FC4 to FC5. Switching
over to another virtual console, I could see that the release notes
viewer was failing to launch with a 'cannot open display' error.
Comment 2 Eric Raymond 2006-03-24 20:33:49 EST
I confirm that the release-notes button also fails to respond when English is
selected.  `cannot open display' is visible on VC#2.
Comment 3 David Cantrell 2006-03-31 11:59:43 EST
Is anyone passing options to the installer?  The Release Notes button is working
fine on the FC5 install I have running right now.
Comment 4 Owen Taylor 2006-03-31 12:10:11 EST
No options passed to the installer. It was a extremely basic upgrade -
stick in the DVD, hit next until the upgrade starts. Things I can think 
that might be different:

 - It was an upgrade not an install
 - Maybe something to do with how the hostname being set for the machine? 
   I wouldn't think that the installer would see the installed
   configuration in this area, but it's possible
 - Maybe something to do with networking? The machine was plugged into
   a network at the time and could have gotten a dynamically assigned
   address via DHCP (though I didn't think the installer even brought
   the network for a DVD upgrade)

I don't know if the installer uses xauth ... if it does, then "cannot
open display" would indicate that the hostname might have changed. 
If the installer is just connecting to the server without authentication,
then it would be a permissions problem on the X socket, or maybe the
X socket got blown away entirely at some point in the install.
(Anaconda's open connection would still work, but no new connections
could be made.)
Comment 5 David Cantrell 2006-09-13 14:53:16 EDT
Fixed in rawhide, will be included in FC6 final.

Note You need to log in before you can comment on or make changes to this bug.